Page MenuHomePhabricator

Admin www depends on short_open_tag = On
Closed, ResolvedPublic

Description

I just noticed that on Precise it's short_open_tag = On in /etc/php5/cgi/php.ini, while on Trusty it's short_open_tag = Off. This affects inter alia the admin web service that uses <? instead of <?php.

Event Timeline

scfc created this task.Apr 10 2015, 1:36 PM
scfc raised the priority of this task from to Low.
scfc updated the task description. (Show Details)
scfc added a project: Toolforge.
scfc added subscribers: scfc, coren, Aklapper, yuvipanda.
scfc added a comment.Apr 10 2015, 2:04 PM

(And there's a generated file (htmlpurifier/library/HTMLPurifier.standalone.php) that is required, but .gitignored. Ooops. I could have deleted that accidentally.)

scfc moved this task from Triage to Backlog on the Toolforge board.Apr 10 2015, 2:08 PM

Change 203536 had a related patch set uploaded (by Tim Landscheidt):
Don't use deprecated PHP short tags

https://gerrit.wikimedia.org/r/203536

Change 203536 merged by Tim Landscheidt:
Don't use deprecated PHP short tags

https://gerrit.wikimedia.org/r/203536

Change 203538 had a related patch set uploaded (by Tim Landscheidt):
Do not use *any* deprecated PHP short tag

https://gerrit.wikimedia.org/r/203538

Change 203538 merged by Tim Landscheidt:
Do not use *any* deprecated PHP short tag

https://gerrit.wikimedia.org/r/203538

scfc closed this task as Resolved.Apr 11 2015, 3:15 PM
scfc claimed this task.

Web service is running now on Trusty:

tools.admin@tools-bastion-01:~$ cat .bigbrotherrc 
jstart -N toolhistory -mem 350M /data/project/admin/bin/toolhistory
webservice --release trusty
tools.admin@tools-bastion-01:~$
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 7 2017, 6:52 PM